summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--tests/envvar-check1
-rwxr-xr-xtests/ls/color-dtype-dir.sh2
-rwxr-xr-xtests/misc/ls-misc.pl5
3 files changed, 6 insertions, 2 deletions
diff --git a/tests/envvar-check b/tests/envvar-check
index 09b4ded5f..b6d94b4cb 100644
--- a/tests/envvar-check
+++ b/tests/envvar-check
@@ -43,6 +43,7 @@ vars='
SIMPLE_BACKUP_SUFFIX
TABSIZE
TERM
+ COLORTERM
TIME_STYLE
TMPDIR
VERSION_CONTROL
diff --git a/tests/ls/color-dtype-dir.sh b/tests/ls/color-dtype-dir.sh
index 88dd781ff..559a18849 100755
--- a/tests/ls/color-dtype-dir.sh
+++ b/tests/ls/color-dtype-dir.sh
@@ -30,7 +30,7 @@ chmod o+w other-writable || framework_failure_
chmod o+t sticky || framework_failure_
-ls --color=always > out || fail=1
+TERM=xterm ls --color=always > out || fail=1
cat -A out > o1 || fail=1
mv o1 out || fail=1
diff --git a/tests/misc/ls-misc.pl b/tests/misc/ls-misc.pl
index f562b72e6..a47e70b7a 100755
--- a/tests/misc/ls-misc.pl
+++ b/tests/misc/ls-misc.pl
@@ -303,9 +303,12 @@ my @Tests =
. "\e[37;44msticky$e\n"
},
+ {PRE => sub {
+ push_ls_colors('ow=34;42:tw=30;42:sg=30;43:su=37;41:st=37;44'); }},
{POST => sub {
unlink qw(setuid setgid);
- foreach my $dir (qw(owr owt sticky)) {rmdir $dir} }},
+ foreach my $dir (qw(owr owt sticky)) {rmdir $dir}
+ restore_ls_colors; }},
],
# For 5.97 and earlier, --file-type acted like --indicator-style=slash.